%define udev_scriptdir /lib/udev

Name:           xcm
Version:        0.5.1
Release:        alt1_2
Summary:        X Color Management tools

Group:          System/Base
License:        MIT
URL:            http://www.oyranos.org
Source0:        http://download.sourceforge.net/oyranos/Xcm/xcm-%{version}.tar.bz2

BuildRequires:  libXcm-devel >= 0.5.0
BuildRequires:  oyranos-devel >= 0.1.10
BuildRequires:  libXfixes-devel
BuildRequires:  libXmu-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  xorg-xtrans-devel

Requires:  oyranos > 0.1.10
Source44: import.info


%description
The Xcm tools are color management helpers for Xorg.
A EDID parser and a color management events observer are included.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT%{udev_scriptdir}/rules.d/
make install DESTDIR=$RPM_BUILD_ROOT

#Remove pre-installed doc
rm -rf $RPM_BUILD_ROOT%{_docdir}/xcm

#Fix path for the udev rules
sed -i -e 's|xcmddc|/usr/bin/xcmddc|' \
	$RPM_BUILD_ROOT%{udev_scriptdir}/rules.d/90-xcm-i2c.rules


%files
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/xcm
%{_bindir}/xcmevents
%{_bindir}/xcmedid
%{_bindir}/xcmddc
%{udev_scriptdir}/rules.d/90-xcm-i2c.rules
%{_mandir}/man1/*.1.*



%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_2
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_1
- initial fc import

